
local myMod = ...

myMod:register({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_AVIGNON",
	VillageName = "Avignon",
	UnlockCost = { 
		{ Resource = "WOOD", Quantity = 5 },
		{ Resource = "STONE", Quantity = 10 }
	},
	BuyingResourceList = {
		{
			ResourceMaxAmount = { Resource = "ASTEROID_ROCK", Quantity = 5 },
			UnitPrice = { Resource = "GOLD", Quantity = 50 }
		}
	},
	SellingResourceList = {
		{
			ResourceMaxAmount = { Resource = "ASTEROID_ROCK", Quantity = 5 },
			UnitPrice = { Resource = "GOLD", Quantity = 200 }
		}
	},
	Allegeance = "KINGDOM"
})

myMod:register({
	DataType = "TRADING_VILLAGE_LIST",
	Id = "MY_MOD_TRADING_VILLAGE_LIST",
	TradingVillageList = {
		"VILLAGE_DAVENPORT",
		"VILLAGE_NORTHBURY",
		"VILLAGE_AVIGNON"
	}
})

myMod:register({
	DataType = "BUILDING_PART_COST_LIST",
	Id = "MY_MOD_BUILDING_PART_COST_LIST_OVERRIDE",
	BuildingPartCostList = {
		{
			BuildingPart = "BUILDING_PART_WOODCUTTER_CAMP",
			BuildingPartCost = {
				BuildRightTaxes = {
					{ Resource = "GOLD", Quantity = 5 }
				},
				UpkeepCost = {
					{ Resource = "GOLD", Quantity = 5 }
				},
				RessourcesNeeded = {
					{ Resource = "TOOL", Quantity = 10 }
				}
			}
		},
		{
			BuildingPart = "BUILDING_PART_WELL",
			BuildingPartCost = {
				BuildRightTaxes = {
					{ Resource = "GOLD", Quantity = 15 }
				},
				UpkeepCost = {
					{ Resource = "GOLD", Quantity = 2 }
				},
				RessourcesNeeded = {
					{ Resource = "WOOD", Quantity = 5 },
					{ Resource = "STONE", Quantity = 10 }
				}
			}
		},
	}
})

myMod:register({
	DataType = "BUILDING_PROGRESS_LIST",
	Id = "MY_MOD_BUILDING_PROGRESS_LIST",
	ProgressList = {
		{
			ResBuilding = "BUILDING_BLACKSMITH",
			IsManuallyUnlocked = false,
			StatusQtyPair = { Status = "NEWCOMER", Quantity = 10 }
		}
	}
});

myMod:register({
	DataType = "BALANCING",
	Id = "MY_MOD_BALANCING",
	Name = "MY_MOD_SUPER_BALANCING",
	BuildingCostOverrideList = {
		"BUILDING_PART_COST_LIST_DEFAULT",
		"BUILDING_PART_COST_LIST_DEFAULT_LORD_MANOR",
		"BUILDING_PART_COST_LIST_DEFAULT_CHURCH",
		"BUILDING_PART_COST_LIST_DEFAULT_RUSTIC_CHURCH",
		"BUILDING_PART_COST_LIST_DEFAULT_KEEP",
		"MY_MOD_BUILDING_PART_COST_LIST_OVERRIDE"
	},
	BuildingProgressList = {
		"BUILDING_PROGRESS_LIST_DEFAULT",
		"MY_MOD_BUILDING_PROGRESS_LIST"
	},
	VillagerStatusQuota = "VILLAGER_STATUS_QUOTA_DEFAULT",
	TerritoryPrice = {
		{ Resource = "GOLD", Quantity = 500 }
	},
	TerritoryRoyalTaxesList = {
		{
			{ Resource = "GOLD", Quantity = 0 }
		},
		{
			{ Resource = "GOLD", Quantity = 10 }
		},
		{
			{ Resource = "GOLD", Quantity = 25 }
		},
		{
			{ Resource = "GOLD", Quantity = 50 }
		}
	},
	DelayedQuestList = {},
	TradingVillageList = "MY_MOD_TRADING_VILLAGE_LIST", -- VILLAGE_LIST_DEFAULT
	EventList = {},
})