
local myMod = ...

function QuestRewardResources(resources)
	return {
		DataType = "QUEST_REWARD_RESOURCES",
		ResourceCollection = resources
	}
end

myMod:register({
	DataType = "QUEST",
	Id = "SUPER_QUEST",
	Name = "THE_GREAT_QUEST",
	Description = "THE_GREAT_QUEST",
	QuestFunction = {
		DataType = "QUEST_FUNCTION_DELIVER_RESOURCES",
		Estate = "KINGDOM",
		ResourceListToDeliver = {{ Resource = "WOOD", Quantity = 10 }},
		DaysCount = 60
	},
	QuestRewardList = {
		QuestRewardResources({{ Resource = "ASTEROID_ROCK", Quantity = 5 }})
	}
})

myMod:register({
	DataType = "EVENT",
	Id = "SUPER_EVENT",
	Title = "SUPER_EVENT_TITLE",
	Description = "SUPER_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
			DataType = "EVENT_CONDITION_BUILDING_BUILT",
			ResBuilding = "BUILDING_WOODCUTTER_CAMP"
		}
	},
	ActionList = {
		{
			DataType = "EVENT_ACTION_GIVE_QUEST",
			ShortName = "SUPER_EVENT_ACCEPT_QUEST",
			EstateInfluenceModifierList = {},
			CallbackEvent = "",
			Quest = "SUPER_QUEST",
			OnSuccessEvent = "",
			OnFailEvent = "",
		},
		{
			DataType = "EVENT_ACTION_IGNORE",
			ShortName = "KINGDOM_DECLINE",
		}
	}
})